> ## Documentation Index
> Fetch the complete documentation index at: https://developers.datagrid.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create channel

> Creates a shared public channel and adds the authenticated API user as a member.



## OpenAPI

````yaml post /channels
openapi: 3.0.3
info:
  version: 0.1.1
  title: Datagrid API
  description: Datagrid API
servers:
  - url: https://api.datagrid.com/v1
security:
  - BearerAuth: []
paths:
  /channels:
    post:
      tags:
        - Channels
      summary: Create channel
      description: >-
        Creates a shared public channel and adds the authenticated API user as a
        member.
      operationId: Channels.createChannel
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateChannelRequest'
      responses:
        '201':
          description: Created channel
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Channel'
components:
  schemas:
    CreateChannelRequest:
      type: object
      required:
        - name
      properties:
        name:
          type: string
          description: Channel name. Names longer than 50 characters are truncated.
          minLength: 1
          maxLength: 50
        description:
          type: string
          maxLength: 600
          nullable: true
    Channel:
      type: object
      required:
        - object
        - id
        - type
        - name
        - description
        - teamspace_id
        - created_at
        - updated_at
      properties:
        object:
          type: string
          enum:
            - channel
        id:
          type: string
        type:
          type: string
          enum:
            - channel
        name:
          type: string
        description:
          type: string
          nullable: true
        teamspace_id:
          type: string
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````